import time
import logging
from bambulab_sender import Sender as BambuLabSender

if __name__ == "__main__":
    logging.basicConfig()
    logger = logging.getLogger(__name__)
    #logger.setLevel(logging.WARNING)
    logger.setLevel(logging.INFO)
    #logger.setLevel(logging.DEBUG)
    requests_log = logging.getLogger("requests.packages.urllib3")
    #requests_log.setLevel(logging.WARNING)
    requests_log.setLevel(logging.DEBUG)
    requests_log.propagate = False
    # detect serial (run_once)
    # usb_info = {"IP": "127.0.0.1", "PWD": "30763425", "RUNONCE": True}
    # s = Sender(None, usb_info)
    # serial = s.detect()
    # print(serial)
    # serial = "00M00A282500251"
    # usb_info = {"IP": "127.0.0.1", "SNR": serial, "PASS": "89b45605"}
    serial = "00M00A270400639"
    usb_info = {"IP": "127.0.0.1", "SNR": serial, "PASS": "fadda847"}

    s = BambuLabSender(None, usb_info)

    while (True):
        time.sleep(5)
        if s.client.is_connected():
            print(s.temps)
        break
        #s.upload("test")